addpath(genpath('../icml_material'))

fprintf('----------- SDO evaluation ------------\n\n');
fprintf('Experiments with synthetic datasets:\n');
fprintf('\t > seed = 2018 \n');
fprintf('\t > experiments = 1000 \n');
fprintf('\t > perf = sdo_synthetic_tests ( seed, experiments )\n\n');
fprintf('Experiments with benchmark datasets (rule-of-thumb parameterization):\n');
fprintf('\t - Load a dataset from the [benchmark/literature] or [benchmark/semantic] folders\n');
fprintf('\t > seed = 0 \n');
fprintf('\t > runs = 10 \n');
fprintf('\t > perf = sdo_n_reps ( data, outlier, seed, runs )\n\n');
fprintf('Experiments with benchmark datasets (pre-knowledge parameterization):\n');
fprintf('\t - Load a dataset from the [benchmark/literature] or [benchmark/semantic] folders\n');
fprintf('\t - Initialize "x", "y" and "q" with values according to "pre-knowledge.txt"\n');
fprintf('\t > seed = 0 \n');
fprintf('\t > runs = 10 \n');
fprintf('\t > perf = sdo_n_reps ( data, outlier, seed, runs, k, q, x )\n\n');
fprintf('---------------------------------------\n');
